App::Pinto::Command::props(3pm)

NAME
App::Pinto::Command::props - show or set stack properties

VERSION
version 0.097

SYNOPSIS
  pinto --root=REPOSITORY_ROOT props [OPTIONS] [STACK]

DESCRIPTION
This command shows or sets stack configuration properties. If the "--properties" option is given, then the properties will be set. If the "--properties" option is not given, then properties will just be shown.

COMMAND ARGUMENTS
If the "STACK" argument is given, then the properties for that stack will be set/shown. If the "STACK" argument is not given, then properties for the default stack will be set/shown.

COMMAND OPTIONS

--format=FORMAT_SPECIFICATION
    Format the output using "printf"-style placeholders. This only matters when showing properties. Valid placeholders are:

      Placeholder    Meaning
      -----------------------------------------------------------------------------
      %p             Property name
      %v             Package value

--properties name=value
--prop name=value
-P name=value
    Specifies property names and values. You can repeat this option to set multiple properties. If the property with that name does not already exist, it will be created. Property names must be alphanumeric plus hyphens and underscores, and will be forced to lower case. Setting a property to an empty string will cause it to be deleted.

    Properties starting with the prefix "pinto-" are reserved for internal use, SO DO NOT CREATE OR CHANGE THEM.

SUPPORTED PROPERTIES
The following properties are supported for each stack:

description
    A description of the stack, usually to inform users of the application and/or environment that the stack is intended for. For a new stack, defaults to "The STACK_NAME stack". For a copied stack, defaults to "Copy of stack STACK_NAME".

target_perl_version
    The version of perl that this stack is targeted at. This is used to determine whether a particular package is satisfied by the perl core and therefore does not need to be added to the stack.

    It must be a version string or number for an existing perl release, and cannot be later than the latest version specified in your Module::CoreList. To target even newer perls, just install the latest version of Module::CoreList.

AUTHOR
Jeffrey Ryan Thalhammer <jeff@stratopan.com>

COPYRIGHT AND LICENSE
This software is copyright (c) 2013 by Jeffrey Ryan Thalhammer.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.